com.dlsc.flexgantt.swing.layer

## Class TimeSpanSelectionEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.swing.layer.TimeSpanSelectionEvent

- All Implemented Interfaces:
    Serializable

      public class TimeSpanSelectionEvent
      extends EventObject

  An event object thrown by the `ILayerContainerSelectionModel` whenever time spans have been added to or removed from the model.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    `ILayerContainerSelectionModelListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSpanSelectionEvent(ILayerContainerSelectionModel model, Object node, List<ITimeSpan> timeSpans)` Constructs a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getNode()` Returns the tree table node that was the target of changed time span selection.
    `List<ITimeSpan>` | `getTimeSpans()` Returns the added / removed time spans.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSpanSelectionEvent

          public TimeSpanSelectionEvent(ILayerContainerSelectionModel model,
                                        Object node,
                                        List<ITimeSpan> timeSpans)

      Constructs a new event.
      Parameters:
        `model` - the selection model that was modified
        `node` - the tree table node on which time spans were added (removed)
        `timeSpans` - the added / removed time spans
      Since:
        1.0

  - ### Method Detail

    - #### getNode

          public Object getNode()

      Returns the tree table node that was the target of changed time span selection.
      Returns:
        the tree table node object
      Since:
        1.0

    - #### getTimeSpans

          public List<ITimeSpan> getTimeSpans()

      Returns the added / removed time spans.
      Returns:
        the added / removed time spans
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.